Bug 123622 - (USB SCSI)USB storage does not work at all
(USB SCSI)USB storage does not work at all
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 14:30 EDT by Nicholas Allen
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:34:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicholas Allen 2004-05-19 14:30:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
I upgraded from Fedora Core 1 to Fedora Core 2 (I did upgrade not new install over old one). When I plug in a USB storage device into my laptop the CPU monitor shoots up to 100% and stays there. When I run top to see which process it is there are no processes consuming any CPU (all idle). Then if I try to cat /proc/bus/usb/devices the command just hangs. Also if I try to mount the USB disk using mount /dev/sdb1 /mnt/memstick this command also hangs. This used to work with no problems on Fedora Core 1. However if I don't plug in the USB disk I can cat /proc/bus/usb/devices no problem. I get the following (maybe this is useful):


T:  Bus=04 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480 MxCh= 6
B:  Alloc=  0/800 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=01 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.5-1.358 ehci_hcd
S:  Product=EHCI Host Controller
S:  SerialNumber=0000:00:1d.7
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=256ms

T:  Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.5-1.358 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.2
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=03 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=16 #Cfgs=  1
P:  Vendor=0483 ProdID=1307 Rev= 1.70
S:  Manufacturer=Generic
S:  Product=USBMass Storage Device
S:  SerialNumber=ABCDEF0123456789
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms

T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=112/900 us (12%), #Int=  1, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.5-1.358 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.1
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=02 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=1.5 MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=046d ProdID=c01d Rev=21.00
S:  Manufacturer=Logitech
S:  Product=USB-PS/2 Optical Mouse
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr= 98mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=hid
E:  Ad=81(I) Atr=03(Int.) MxPS=   7 Ivl=10ms

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.5-1.358 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.0
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

Also here is the output of lspci:

00:00.0 Host bridge: Intel Corp. 82855PM Processor to I/O Controller (rev 03)
00:01.0 PCI bridge: Intel Corp. 82855PM Processor to AGP Controller (rev 03)
00:1d.0 USB Controller: Intel Corp. 82801DB (ICH4) USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corp. 82801DB (ICH4) USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corp. 82801DB (ICH4) USB UHCI #3 (rev 03)
00:1d.7 USB Controller: Intel Corp. 82801DB (ICH4) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corp. 82801BAM/CAM PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corp. 82801DBM LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corp. 82801DBM (ICH4) Ultra ATA Storage Controller (rev 03)
00:1f.3 SMBus: Intel Corp. 82801DB/DBM (ICH4) SMBus Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB (ICH4) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corp. 82801DB (ICH4) AC'97 Modem Controller (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 Lf [Radeon Mobility 9000 M9] (rev 02)
02:02.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5705 Gigabit Ethernet (rev 01)
02:04.0 Network controller: Intel Corp. PRO/Wireless LAN 2100 3B Mini PCI Adapter (rev 04)
02:06.0 CardBus bridge: O2 Micro, Inc. OZ6912 Cardbus Controller
02:07.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21 IEEE-1394a-2000 Controller (PHY/Link)
	

Version-Release number of selected component (if applicable):
Linux version 2.6.5-1.358 (bhcompile@bugs.build.redhat.com) (gcc version 3.3.3 20040412 (Red Hat Linux 3.3.3-7)) #1 Sat May 8 09:04:50 EDT 2004


How reproducible:
Always

Steps to Reproduce:
1.Plug in USB disk
2.
3.
    

Actual Results:  100% CPU consumption. top shows all processes idle. Mounting usb disk hangs. cat /proc/bus/usb/devices hangs

Expected Results:  I should be able to mount my USB storage disk without 100% CPU usage and be able to view/delete/modify any files on the disk ;-)

Additional info:
Comment 1 Nicholas Allen 2004-05-21 10:09:51 EDT
Here is the output of /var/log/messages at the time I plugged the USB 
disk in: 
 
May 21 15:49:27 localhost kernel: usb 1-2: new full speed USB device 
using address 2 
May 21 15:49:27 localhost kernel: scsi1 : SCSI emulation for USB Mass 
Storage devices 
May 21 15:49:27 localhost kernel:   Vendor: SigmaTel  Model: MSCN              
Rev: 0001 
May 21 15:49:27 localhost kernel:   Type:   Direct-Access                      
ANSI SCSI revision: 02 
May 21 15:49:28 localhost kernel: SCSI device sdb: 256001 512-byte 
hdwr sectors (131 MB) 
May 21 15:49:28 localhost kernel: sdb: assuming Write Enabled 
May 21 15:49:28 localhost kernel: sdb: assuming drive cache: write 
through 
May 21 15:49:28 localhost kernel:  sdb:<6>Device not ready.  Make 
sure there is a disc in the drive. 
May 21 15:49:28 localhost kernel: end_request: I/O error, dev sdb, 
sector 256000 
May 21 15:49:28 localhost kernel: Buffer I/O error on device sdb, 
logical block 256000 
May 21 15:49:28 localhost kernel: Device not ready.  Make sure there 
is a disc in the drive. 
 
Comment 2 Carsten Klein 2004-05-26 14:45:41 EDT
I have the same problem with an USB to IDE mass storage device.

The device, when being plugged into an arbitrary USB port on my SONY
VAIO FR-285 notebook, is not correctly recognized and refuses to take
any of the kernel offered device addresses. The kernel probes
seemingly endlessly for subsequent device addresses, which all will
fail. Now I have tried my USB mouse, too and that working fine, I
re-tried to install the mass storage device. And now it worked, the
device was recognized (with the mouse being plugged in first) and was
even listed by /sbin/lsusb. However, the partition table could not be
read and the data on the drive was not accessible (I verified this
using /sbin/fdisk -l /dev/sda).

Since I did not want to destroy the current partitioning scheme and
subsequently the data I have backed up onto the drive, I did not
verify if I was able to partition the drive and then mkfs-ing and
mounting the newly created filesystems.

Perhaps this gives you some clues on where to look for a hotfix for
this badly needed feature!

I will soon attach some output when trying to plug in the drive when
no mouse is being attached to the usb port...
Comment 3 Carsten Klein 2004-05-26 14:54:02 EDT
Here is some sample output when plugging in the USB mass storage
device (USB to IDE) without the mouse being attached:

usb 1-5: control timeout on ep0out
usb 1-5: Device not accepting address 2, error -110
usb 1-5: control timeout on ep0out
usb 1-5: control timeout on ep0out
usb 1-5: Device not accepting address 3, error -110
[...]
usb 1-5: control timeout on ep0out
usb 1-5: control timeout on ep0out
usb 1-5: Device not accepting address <n>, error -110


Now, the kernel tries seemingly endlessly (at least I waited one time
until <n> reached 27) to install the driver and the device.

I have tried to plug in the mouse on that occasion and as soon as it
is plugged in the kernel stops trying to install the USB to IDE device
and will not continue to do so until it is unplugged and then being
plugged into the USB port again. Then the kernel will continue with
the above error reporting.

I could not reproduce the state of the device being installed and
recognized by the kernel, however. It seems that that was an unwanted
and non-reproducible, but most-wanted side-effect of the above bug ;-)...
Comment 4 Dave Jones 2005-04-16 01:34:46 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.